#ifndef _PREFS_H
#define _PREFS_H

#include "alloc.h"
#include "config.h"
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#include <ctype.h>
#include <stdio.h>
#include <iostream.h> // Used for debugging only - remove later

extern alloc* ptrAlloc;

class prefs
{
 private:
  int i;
  char sizePrefix[6];
  char buffer[512];
 public:
  prefs();
  int saveSettings();
  int loadSettings();
  int saveBookmark(int num);
  int getSize(int);
  char* getPrefix();
  int scrollDelay;
  int sizeConvert;
  char* prefsFile;
  int autoSave;
  int loginStartup;
  int savePassword;
  int showFromName;
  int showHeadersRead;
  int numFetchLines;
  int currentBookmark;
  int showHeader[7];
  char* host[BSIZE];
  char* port[BSIZE];
  char* user[BSIZE];
  char* pass[BSIZE];
  ~prefs();
};

#endif
